org.apache.xerces.impl.xs.opti

## Class NodeImpl

- java.lang.Object
- - org.apache.xerces.impl.xs.opti.DefaultNode
  - - org.apache.xerces.impl.xs.opti.NodeImpl

All Implemented Interfaces:
  org.w3c.dom.Node

Direct Known Subclasses:
  AttrImpl, DefaultDocument, DefaultElement, DefaultText

    public class NodeImpl
    extends DefaultNode

Version:
  $Id: NodeImpl.java 705596 2008-10-17 13:05:10Z mrglavas $
Author:
  Rahul Srivastava, Sun Microsystems Inc.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Constructor Summary

Constructors
Constructor and Description
`NodeImpl()`
`NodeImpl(java.lang.String prefix, java.lang.String localpart, java.lang.String rawname, java.lang.String uri, short nodeType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getLocalName()` Returns the local part of the qualified name of this node.
`java.lang.String` `getNamespaceURI()` The namespace URI of this node, or `null` if it is unspecified (see ).
`java.lang.String` `getNodeName()` The name of this node, depending on its type; see the table above.
`short` `getNodeType()` A code representing the type of the underlying object, as defined above.
`java.lang.String` `getPrefix()` The namespace prefix of this node, or `null` if it is unspecified.
`boolean` `getReadOnly()`
`void` `setReadOnly(boolean hide, boolean deep)`
`java.lang.String` `toString()` NON-DOM method for debugging convenience.

### Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NodeImpl

    public NodeImpl()

#### NodeImpl

    public NodeImpl(java.lang.String prefix,
                    java.lang.String localpart,
                    java.lang.String rawname,
                    java.lang.String uri,
                    short nodeType)

### Method Detail

#### getNodeName

    public java.lang.String getNodeName()

Description copied from interface: `org.w3c.dom.Node`
The name of this node, depending on its type; see the table above.

Specified by:
  `getNodeName` in interface `org.w3c.dom.Node`
Overrides:
  `getNodeName` in class `DefaultNode`

#### getNamespaceURI

    public java.lang.String getNamespaceURI()

Description copied from interface: `org.w3c.dom.Node`
The namespace URI of this node, or `null` if it is unspecified (see ).
This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. It is merely the namespace URI given at creation time.
For nodes of any type other than `ELEMENT_NODE` and `ATTRIBUTE_NODE` and nodes created with a DOM Level 1 method, such as `Document.createElement()`, this is always `null`.

Note: Per the Namespaces in XML Specification [XML Namespaces] an attribute does not inherit its namespace from the element it is attached to. If an attribute is not explicitly given a namespace, it simply has no namespace.

Specified by:
  `getNamespaceURI` in interface `org.w3c.dom.Node`
Overrides:
  `getNamespaceURI` in class `DefaultNode`

#### getPrefix

    public java.lang.String getPrefix()

Description copied from interface: `org.w3c.dom.Node`
The namespace prefix of this node, or `null` if it is unspecified. When it is defined to be `null`, setting it has no effect, including if the node is read-only.
Note that setting this attribute, when permitted, changes the `nodeName` attribute, which holds the qualified name, as well as the `tagName` and `name` attributes of the `Element` and `Attr` interfaces, when applicable.
Setting the prefix to `null` makes it unspecified, setting it to an empty string is implementation dependent.
Note also that changing the prefix of an attribute that is known to have a default value, does not make a new attribute with the default value and the original prefix appear, since the `namespaceURI` and `localName` do not change.
For nodes of any type other than `ELEMENT_NODE` and `ATTRIBUTE_NODE` and nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, this is always `null`.

Specified by:
  `getPrefix` in interface `org.w3c.dom.Node`
Overrides:
  `getPrefix` in class `DefaultNode`

#### getLocalName

    public java.lang.String getLocalName()

Description copied from interface: `org.w3c.dom.Node`
Returns the local part of the qualified name of this node.
For nodes of any type other than `ELEMENT_NODE` and `ATTRIBUTE_NODE` and nodes created with a DOM Level 1 method, such as `Document.createElement()`, this is always `null`.

Specified by:
  `getLocalName` in interface `org.w3c.dom.Node`
Overrides:
  `getLocalName` in class `DefaultNode`

#### getNodeType

    public short getNodeType()

Description copied from interface: `org.w3c.dom.Node`
A code representing the type of the underlying object, as defined above.

Specified by:
  `getNodeType` in interface `org.w3c.dom.Node`
Overrides:
  `getNodeType` in class `DefaultNode`

#### setReadOnly

    public void setReadOnly(boolean hide,
                            boolean deep)

#### getReadOnly

    public boolean getReadOnly()

#### toString

    public java.lang.String toString()

NON-DOM method for debugging convenience.

Overrides:
  `toString` in class `java.lang.Object`